| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | List of all members
DialogMsg Class Referencefinal

DialogMsg. More...

`#include <message_dialog.h>`

Inheritance diagram for DialogMsg:

## Public Member Functions
| DialogMsg (const QString &title, const QString &text, const QString &additional, const MsgType type, QWidget *parent=nullptr)

## Private Slots
void | on_button_ShowAdditional_clicked ()
| Shows the additional informations.
void | on_button_Ok_clicked ()
| Called when the OK button gets clicked.

## Detailed Description

DialogMsg.

A dialog message to provide informations to the user

## Constructor & Destructor Documentation

## ◆ DialogMsg()

DialogMsg::DialogMsg | ( | const QString & | title,
|  | const QString & | text,
|  | const QString & | additional,
|  | const MsgType | type,
|  | QWidget * | parent = nullptr )
| explicit

Parameters

  title | The title
  text | The message
  additional | Additional informations, usually an error message
  parent | The parent Widget

The documentation for this class was generated from the following files:

- logdoctor/modules/dialogs/message_dialog.h
- logdoctor/modules/dialogs/message_dialog.cpp